import { Forecast, Location } from "@weather-api/models";

export const forecastDto: Forecast = {
  location: {
    name: "Craon",
    region: "Pays de la Loire",
    country: "France",
    lat: 47.85,
    lon: -0.95,
    tz_id: "Europe/Paris",
    localtime_epoch: 1681327737,
    localtime: "2023-04-12 21:28",
  },
  current: {
    last_updated_epoch: 1681326900,
    last_updated: "2023-04-12 21:15",
    temp_c: 4.9,
    temp_f: 40.8,
    is_day: 0,
    condition: {
      text: "Clear",
      icon: "//cdn.weatherapi.com/weather/64x64/night/113.png",
      code: 1000,
    },
    wind_mph: 17.0,
    wind_kph: 27.4,
    wind_degree: 251,
    wind_dir: "WSW",
    pressure_mb: 1010.0,
    pressure_in: 29.82,
    precip_mm: 0.0,
    precip_in: 0.0,
    humidity: 85,
    cloud: 6,
    feelslike_c: 0.2,
    feelslike_f: 32.4,
    vis_km: 10.0,
    vis_miles: 6.0,
    uv: 1.0,
    gust_mph: 29.3,
    gust_kph: 47.2,
  },
  forecast: {
    forecastday: [
      {
        date: "2023-04-12",
        date_epoch: 1681257600,
        day: {
          maxtemp_c: 10.4,
          maxtemp_f: 50.7,
          mintemp_c: 4.7,
          mintemp_f: 40.5,
          avgtemp_c: 7.8,
          avgtemp_f: 46.1,
          maxwind_mph: 20.6,
          maxwind_kph: 33.1,
          totalprecip_mm: 24.0,
          totalprecip_in: 0.94,
          totalsnow_cm: 0.0,
          avgvis_km: 8.3,
          avgvis_miles: 5.0,
          avghumidity: 87.0,
          daily_will_it_rain: 1,
          daily_chance_of_rain: 90,
          daily_will_it_snow: 0,
          daily_chance_of_snow: 0,
          condition: {
            text: "Heavy rain",
            icon: "//cdn.weatherapi.com/weather/64x64/day/308.png",
            code: 1195,
          },
          uv: 2.0,
        },
        astro: {
          sunrise: "07:20 AM",
          sunset: "08:49 PM",
          moonrise: "03:30 AM",
          moonset: "10:57 AM",
          moon_phase: "Waning Gibbous",
          moon_illumination: "65",
          is_moon_up: 0,
          is_sun_up: 0,
        },
        hour: [
          {
            time_epoch: 1681250400,
            time: "2023-04-12 00:00",
            temp_c: 9.6,
            temp_f: 49.3,
            is_day: 0,
            condition: {
              text: "Light drizzle",
              icon: "//cdn.weatherapi.com/weather/64x64/night/266.png",
              code: 1153,
            },
            wind_mph: 19.5,
            wind_kph: 31.3,
            wind_degree: 206,
            wind_dir: "SSW",
            pressure_mb: 1006.0,
            pressure_in: 29.71,
            precip_mm: 0.2,
            precip_in: 0.01,
            humidity: 96,
            cloud: 100,
            feelslike_c: 6.0,
            feelslike_f: 42.8,
            windchill_c: 6.0,
            windchill_f: 42.8,
            heatindex_c: 9.6,
            heatindex_f: 49.3,
            dewpoint_c: 8.9,
            dewpoint_f: 48.0,
            will_it_rain: 1,
            chance_of_rain: 90,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 2.0,
            vis_miles: 1.0,
            gust_mph: 29.5,
            gust_kph: 47.5,
            uv: 1.0,
          },
          {
            time_epoch: 1681254000,
            time: "2023-04-12 01:00",
            temp_c: 10.1,
            temp_f: 50.2,
            is_day: 0,
            condition: {
              text: "Light rain",
              icon: "//cdn.weatherapi.com/weather/64x64/night/296.png",
              code: 1183,
            },
            wind_mph: 18.3,
            wind_kph: 29.5,
            wind_degree: 209,
            wind_dir: "SSW",
            pressure_mb: 1005.0,
            pressure_in: 29.68,
            precip_mm: 2.3,
            precip_in: 0.09,
            humidity: 97,
            cloud: 100,
            feelslike_c: 6.7,
            feelslike_f: 44.1,
            windchill_c: 6.7,
            windchill_f: 44.1,
            heatindex_c: 10.1,
            heatindex_f: 50.2,
            dewpoint_c: 9.6,
            dewpoint_f: 49.3,
            will_it_rain: 1,
            chance_of_rain: 90,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 9.0,
            vis_miles: 5.0,
            gust_mph: 27.3,
            gust_kph: 43.9,
            uv: 1.0,
          },
          {
            time_epoch: 1681257600,
            time: "2023-04-12 02:00",
            temp_c: 10.5,
            temp_f: 50.9,
            is_day: 0,
            condition: {
              text: "Light rain",
              icon: "//cdn.weatherapi.com/weather/64x64/night/296.png",
              code: 1183,
            },
            wind_mph: 17.9,
            wind_kph: 28.8,
            wind_degree: 221,
            wind_dir: "SW",
            pressure_mb: 1004.0,
            pressure_in: 29.64,
            precip_mm: 2.0,
            precip_in: 0.08,
            humidity: 97,
            cloud: 100,
            feelslike_c: 7.3,
            feelslike_f: 45.1,
            windchill_c: 7.3,
            windchill_f: 45.1,
            heatindex_c: 10.5,
            heatindex_f: 50.9,
            dewpoint_c: 10.0,
            dewpoint_f: 50.0,
            will_it_rain: 1,
            chance_of_rain: 89,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 9.0,
            vis_miles: 5.0,
            gust_mph: 25.9,
            gust_kph: 41.8,
            uv: 1.0,
          },
          {
            time_epoch: 1681261200,
            time: "2023-04-12 03:00",
            temp_c: 8.7,
            temp_f: 47.7,
            is_day: 0,
            condition: {
              text: "Light rain",
              icon: "//cdn.weatherapi.com/weather/64x64/night/296.png",
              code: 1183,
            },
            wind_mph: 12.5,
            wind_kph: 20.2,
            wind_degree: 309,
            wind_dir: "NW",
            pressure_mb: 1004.0,
            pressure_in: 29.65,
            precip_mm: 1.9,
            precip_in: 0.07,
            humidity: 96,
            cloud: 100,
            feelslike_c: 5.7,
            feelslike_f: 42.3,
            windchill_c: 5.7,
            windchill_f: 42.3,
            heatindex_c: 8.7,
            heatindex_f: 47.7,
            dewpoint_c: 8.1,
            dewpoint_f: 46.6,
            will_it_rain: 1,
            chance_of_rain: 89,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 9.0,
            vis_miles: 5.0,
            gust_mph: 17.7,
            gust_kph: 28.4,
            uv: 1.0,
          },
          {
            time_epoch: 1681264800,
            time: "2023-04-12 04:00",
            temp_c: 7.2,
            temp_f: 45.0,
            is_day: 0,
            condition: {
              text: "Moderate rain",
              icon: "//cdn.weatherapi.com/weather/64x64/night/302.png",
              code: 1189,
            },
            wind_mph: 7.2,
            wind_kph: 11.5,
            wind_degree: 314,
            wind_dir: "NW",
            pressure_mb: 1004.0,
            pressure_in: 29.66,
            precip_mm: 7.3,
            precip_in: 0.29,
            humidity: 94,
            cloud: 100,
            feelslike_c: 5.0,
            feelslike_f: 41.0,
            windchill_c: 5.0,
            windchill_f: 41.0,
            heatindex_c: 7.2,
            heatindex_f: 45.0,
            dewpoint_c: 6.3,
            dewpoint_f: 43.3,
            will_it_rain: 1,
            chance_of_rain: 89,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 7.0,
            vis_miles: 4.0,
            gust_mph: 11.0,
            gust_kph: 17.6,
            uv: 1.0,
          },
          {
            time_epoch: 1681268400,
            time: "2023-04-12 05:00",
            temp_c: 6.9,
            temp_f: 44.4,
            is_day: 0,
            condition: {
              text: "Light rain",
              icon: "//cdn.weatherapi.com/weather/64x64/night/296.png",
              code: 1183,
            },
            wind_mph: 1.3,
            wind_kph: 2.2,
            wind_degree: 355,
            wind_dir: "N",
            pressure_mb: 1004.0,
            pressure_in: 29.65,
            precip_mm: 1.0,
            precip_in: 0.04,
            humidity: 95,
            cloud: 81,
            feelslike_c: 6.9,
            feelslike_f: 44.4,
            windchill_c: 6.9,
            windchill_f: 44.4,
            heatindex_c: 6.9,
            heatindex_f: 44.4,
            dewpoint_c: 6.1,
            dewpoint_f: 43.0,
            will_it_rain: 1,
            chance_of_rain: 88,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 9.0,
            vis_miles: 5.0,
            gust_mph: 2.0,
            gust_kph: 3.2,
            uv: 1.0,
          },
          {
            time_epoch: 1681272000,
            time: "2023-04-12 06:00",
            temp_c: 6.8,
            temp_f: 44.2,
            is_day: 0,
            condition: {
              text: "Patchy light rain",
              icon: "//cdn.weatherapi.com/weather/64x64/night/293.png",
              code: 1180,
            },
            wind_mph: 3.6,
            wind_kph: 5.8,
            wind_degree: 243,
            wind_dir: "WSW",
            pressure_mb: 1004.0,
            pressure_in: 29.65,
            precip_mm: 1.6,
            precip_in: 0.06,
            humidity: 95,
            cloud: 73,
            feelslike_c: 5.9,
            feelslike_f: 42.6,
            windchill_c: 5.9,
            windchill_f: 42.6,
            heatindex_c: 6.8,
            heatindex_f: 44.2,
            dewpoint_c: 6.0,
            dewpoint_f: 42.8,
            will_it_rain: 0,
            chance_of_rain: 63,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 9.0,
            vis_miles: 5.0,
            gust_mph: 5.6,
            gust_kph: 9.0,
            uv: 1.0,
          },
          {
            time_epoch: 1681275600,
            time: "2023-04-12 07:00",
            temp_c: 6.8,
            temp_f: 44.2,
            is_day: 0,
            condition: {
              text: "Patchy light rain",
              icon: "//cdn.weatherapi.com/weather/64x64/night/293.png",
              code: 1180,
            },
            wind_mph: 5.4,
            wind_kph: 8.6,
            wind_degree: 235,
            wind_dir: "SW",
            pressure_mb: 1004.0,
            pressure_in: 29.65,
            precip_mm: 0.9,
            precip_in: 0.04,
            humidity: 95,
            cloud: 63,
            feelslike_c: 5.1,
            feelslike_f: 41.2,
            windchill_c: 5.1,
            windchill_f: 41.2,
            heatindex_c: 6.8,
            heatindex_f: 44.2,
            dewpoint_c: 6.1,
            dewpoint_f: 43.0,
            will_it_rain: 1,
            chance_of_rain: 83,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 9.0,
            vis_miles: 5.0,
            gust_mph: 8.3,
            gust_kph: 13.3,
            uv: 1.0,
          },
          {
            time_epoch: 1681279200,
            time: "2023-04-12 08:00",
            temp_c: 7.5,
            temp_f: 45.5,
            is_day: 1,
            condition: {
              text: "Mist",
              icon: "//cdn.weatherapi.com/weather/64x64/day/143.png",
              code: 1030,
            },
            wind_mph: 7.2,
            wind_kph: 11.5,
            wind_degree: 243,
            wind_dir: "WSW",
            pressure_mb: 1005.0,
            pressure_in: 29.67,
            precip_mm: 0.1,
            precip_in: 0.0,
            humidity: 95,
            cloud: 68,
            feelslike_c: 5.4,
            feelslike_f: 41.7,
            windchill_c: 5.4,
            windchill_f: 41.7,
            heatindex_c: 7.5,
            heatindex_f: 45.5,
            dewpoint_c: 6.8,
            dewpoint_f: 44.2,
            will_it_rain: 0,
            chance_of_rain: 70,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 2.0,
            vis_miles: 1.0,
            gust_mph: 10.1,
            gust_kph: 16.2,
            uv: 2.0,
          },
          {
            time_epoch: 1681282800,
            time: "2023-04-12 09:00",
            temp_c: 8.5,
            temp_f: 47.3,
            is_day: 1,
            condition: {
              text: "Overcast",
              icon: "//cdn.weatherapi.com/weather/64x64/day/122.png",
              code: 1009,
            },
            wind_mph: 8.7,
            wind_kph: 14.0,
            wind_degree: 263,
            wind_dir: "W",
            pressure_mb: 1005.0,
            pressure_in: 29.67,
            precip_mm: 0.0,
            precip_in: 0.0,
            humidity: 89,
            cloud: 95,
            feelslike_c: 6.2,
            feelslike_f: 43.2,
            windchill_c: 6.2,
            windchill_f: 43.2,
            heatindex_c: 8.5,
            heatindex_f: 47.3,
            dewpoint_c: 6.7,
            dewpoint_f: 44.1,
            will_it_rain: 0,
            chance_of_rain: 0,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 10.0,
            vis_miles: 6.0,
            gust_mph: 11.9,
            gust_kph: 19.1,
            uv: 2.0,
          },
          {
            time_epoch: 1681286400,
            time: "2023-04-12 10:00",
            temp_c: 7.8,
            temp_f: 46.0,
            is_day: 1,
            condition: {
              text: "Light rain",
              icon: "//cdn.weatherapi.com/weather/64x64/day/296.png",
              code: 1183,
            },
            wind_mph: 11.4,
            wind_kph: 18.4,
            wind_degree: 266,
            wind_dir: "W",
            pressure_mb: 1005.0,
            pressure_in: 29.69,
            precip_mm: 1.0,
            precip_in: 0.04,
            humidity: 89,
            cloud: 96,
            feelslike_c: 4.8,
            feelslike_f: 40.6,
            windchill_c: 4.8,
            windchill_f: 40.6,
            heatindex_c: 7.8,
            heatindex_f: 46.0,
            dewpoint_c: 6.2,
            dewpoint_f: 43.2,
            will_it_rain: 1,
            chance_of_rain: 87,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 9.0,
            vis_miles: 5.0,
            gust_mph: 14.8,
            gust_kph: 23.8,
            uv: 2.0,
          },
          {
            time_epoch: 1681290000,
            time: "2023-04-12 11:00",
            temp_c: 6.7,
            temp_f: 44.1,
            is_day: 1,
            condition: {
              text: "Light drizzle",
              icon: "//cdn.weatherapi.com/weather/64x64/day/266.png",
              code: 1153,
            },
            wind_mph: 19.0,
            wind_kph: 30.6,
            wind_degree: 292,
            wind_dir: "WNW",
            pressure_mb: 1006.0,
            pressure_in: 29.72,
            precip_mm: 0.3,
            precip_in: 0.01,
            humidity: 93,
            cloud: 100,
            feelslike_c: 2.2,
            feelslike_f: 36.0,
            windchill_c: 2.2,
            windchill_f: 36.0,
            heatindex_c: 6.7,
            heatindex_f: 44.1,
            dewpoint_c: 5.6,
            dewpoint_f: 42.1,
            will_it_rain: 1,
            chance_of_rain: 87,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 2.0,
            vis_miles: 1.0,
            gust_mph: 21.9,
            gust_kph: 35.3,
            uv: 2.0,
          },
          {
            time_epoch: 1681293600,
            time: "2023-04-12 12:00",
            temp_c: 5.6,
            temp_f: 42.1,
            is_day: 1,
            condition: {
              text: "Light rain shower",
              icon: "//cdn.weatherapi.com/weather/64x64/day/353.png",
              code: 1240,
            },
            wind_mph: 9.4,
            wind_kph: 15.1,
            wind_degree: 259,
            wind_dir: "W",
            pressure_mb: 1007.0,
            pressure_in: 29.73,
            precip_mm: 0.5,
            precip_in: 0.02,
            humidity: 92,
            cloud: 52,
            feelslike_c: 2.5,
            feelslike_f: 36.5,
            windchill_c: 2.5,
            windchill_f: 36.5,
            heatindex_c: 5.6,
            heatindex_f: 42.1,
            dewpoint_c: 4.4,
            dewpoint_f: 39.9,
            will_it_rain: 0,
            chance_of_rain: 61,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 10.0,
            vis_miles: 6.0,
            gust_mph: 12.1,
            gust_kph: 19.4,
            uv: 2.0,
          },
          {
            time_epoch: 1681297200,
            time: "2023-04-12 13:00",
            temp_c: 8.8,
            temp_f: 47.8,
            is_day: 1,
            condition: {
              text: "Patchy light rain",
              icon: "//cdn.weatherapi.com/weather/64x64/day/293.png",
              code: 1180,
            },
            wind_mph: 16.1,
            wind_kph: 25.9,
            wind_degree: 266,
            wind_dir: "W",
            pressure_mb: 1007.0,
            pressure_in: 29.72,
            precip_mm: 1.6,
            precip_in: 0.06,
            humidity: 80,
            cloud: 84,
            feelslike_c: 5.3,
            feelslike_f: 41.5,
            windchill_c: 5.3,
            windchill_f: 41.5,
            heatindex_c: 8.8,
            heatindex_f: 47.8,
            dewpoint_c: 5.5,
            dewpoint_f: 41.9,
            will_it_rain: 0,
            chance_of_rain: 66,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 9.0,
            vis_miles: 5.0,
            gust_mph: 18.6,
            gust_kph: 29.9,
            uv: 2.0,
          },
          {
            time_epoch: 1681300800,
            time: "2023-04-12 14:00",
            temp_c: 10.2,
            temp_f: 50.4,
            is_day: 1,
            condition: {
              text: "Light rain shower",
              icon: "//cdn.weatherapi.com/weather/64x64/day/353.png",
              code: 1240,
            },
            wind_mph: 19.5,
            wind_kph: 31.3,
            wind_degree: 270,
            wind_dir: "W",
            pressure_mb: 1007.0,
            pressure_in: 29.73,
            precip_mm: 0.4,
            precip_in: 0.02,
            humidity: 73,
            cloud: 82,
            feelslike_c: 6.8,
            feelslike_f: 44.2,
            windchill_c: 6.8,
            windchill_f: 44.2,
            heatindex_c: 10.2,
            heatindex_f: 50.4,
            dewpoint_c: 5.6,
            dewpoint_f: 42.1,
            will_it_rain: 1,
            chance_of_rain: 85,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 10.0,
            vis_miles: 6.0,
            gust_mph: 23.5,
            gust_kph: 37.8,
            uv: 3.0,
          },
          {
            time_epoch: 1681304400,
            time: "2023-04-12 15:00",
            temp_c: 10.3,
            temp_f: 50.5,
            is_day: 1,
            condition: {
              text: "Patchy rain possible",
              icon: "//cdn.weatherapi.com/weather/64x64/day/176.png",
              code: 1063,
            },
            wind_mph: 19.2,
            wind_kph: 31.0,
            wind_degree: 266,
            wind_dir: "W",
            pressure_mb: 1007.0,
            pressure_in: 29.73,
            precip_mm: 0.2,
            precip_in: 0.01,
            humidity: 73,
            cloud: 89,
            feelslike_c: 6.9,
            feelslike_f: 44.4,
            windchill_c: 6.9,
            windchill_f: 44.4,
            heatindex_c: 10.3,
            heatindex_f: 50.5,
            dewpoint_c: 5.6,
            dewpoint_f: 42.1,
            will_it_rain: 1,
            chance_of_rain: 85,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 9.0,
            vis_miles: 5.0,
            gust_mph: 23.5,
            gust_kph: 37.8,
            uv: 3.0,
          },
          {
            time_epoch: 1681308000,
            time: "2023-04-12 16:00",
            temp_c: 10.4,
            temp_f: 50.7,
            is_day: 1,
            condition: {
              text: "Patchy rain possible",
              icon: "//cdn.weatherapi.com/weather/64x64/day/176.png",
              code: 1063,
            },
            wind_mph: 20.4,
            wind_kph: 32.8,
            wind_degree: 265,
            wind_dir: "W",
            pressure_mb: 1007.0,
            pressure_in: 29.74,
            precip_mm: 1.2,
            precip_in: 0.05,
            humidity: 74,
            cloud: 85,
            feelslike_c: 6.9,
            feelslike_f: 44.4,
            windchill_c: 6.9,
            windchill_f: 44.4,
            heatindex_c: 10.4,
            heatindex_f: 50.7,
            dewpoint_c: 5.9,
            dewpoint_f: 42.6,
            will_it_rain: 1,
            chance_of_rain: 84,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 9.0,
            vis_miles: 5.0,
            gust_mph: 27.5,
            gust_kph: 44.3,
            uv: 3.0,
          },
          {
            time_epoch: 1681311600,
            time: "2023-04-12 17:00",
            temp_c: 9.6,
            temp_f: 49.3,
            is_day: 1,
            condition: {
              text: "Patchy rain possible",
              icon: "//cdn.weatherapi.com/weather/64x64/day/176.png",
              code: 1063,
            },
            wind_mph: 20.6,
            wind_kph: 33.1,
            wind_degree: 262,
            wind_dir: "W",
            pressure_mb: 1008.0,
            pressure_in: 29.75,
            precip_mm: 0.2,
            precip_in: 0.01,
            humidity: 76,
            cloud: 89,
            feelslike_c: 5.8,
            feelslike_f: 42.4,
            windchill_c: 5.8,
            windchill_f: 42.4,
            heatindex_c: 9.6,
            heatindex_f: 49.3,
            dewpoint_c: 5.6,
            dewpoint_f: 42.1,
            will_it_rain: 1,
            chance_of_rain: 84,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 9.0,
            vis_miles: 5.0,
            gust_mph: 25.9,
            gust_kph: 41.8,
            uv: 2.0,
          },
          {
            time_epoch: 1681315200,
            time: "2023-04-12 18:00",
            temp_c: 8.7,
            temp_f: 47.7,
            is_day: 1,
            condition: {
              text: "Patchy rain possible",
              icon: "//cdn.weatherapi.com/weather/64x64/day/176.png",
              code: 1063,
            },
            wind_mph: 20.4,
            wind_kph: 32.8,
            wind_degree: 259,
            wind_dir: "W",
            pressure_mb: 1008.0,
            pressure_in: 29.77,
            precip_mm: 0.4,
            precip_in: 0.02,
            humidity: 78,
            cloud: 78,
            feelslike_c: 4.7,
            feelslike_f: 40.5,
            windchill_c: 4.7,
            windchill_f: 40.5,
            heatindex_c: 8.7,
            heatindex_f: 47.7,
            dewpoint_c: 5.0,
            dewpoint_f: 41.0,
            will_it_rain: 1,
            chance_of_rain: 84,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 9.0,
            vis_miles: 5.0,
            gust_mph: 29.5,
            gust_kph: 47.5,
            uv: 2.0,
          },
          {
            time_epoch: 1681318800,
            time: "2023-04-12 19:00",
            temp_c: 7.7,
            temp_f: 45.9,
            is_day: 1,
            condition: {
              text: "Patchy rain possible",
              icon: "//cdn.weatherapi.com/weather/64x64/day/176.png",
              code: 1063,
            },
            wind_mph: 19.9,
            wind_kph: 32.0,
            wind_degree: 261,
            wind_dir: "W",
            pressure_mb: 1009.0,
            pressure_in: 29.78,
            precip_mm: 0.9,
            precip_in: 0.04,
            humidity: 80,
            cloud: 81,
            feelslike_c: 3.4,
            feelslike_f: 38.1,
            windchill_c: 3.4,
            windchill_f: 38.1,
            heatindex_c: 7.7,
            heatindex_f: 45.9,
            dewpoint_c: 4.5,
            dewpoint_f: 40.1,
            will_it_rain: 1,
            chance_of_rain: 80,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 9.0,
            vis_miles: 5.0,
            gust_mph: 26.4,
            gust_kph: 42.5,
            uv: 2.0,
          },
          {
            time_epoch: 1681322400,
            time: "2023-04-12 20:00",
            temp_c: 5.3,
            temp_f: 41.5,
            is_day: 1,
            condition: {
              text: "Sunny",
              icon: "//cdn.weatherapi.com/weather/64x64/day/113.png",
              code: 1000,
            },
            wind_mph: 17.7,
            wind_kph: 28.4,
            wind_degree: 254,
            wind_dir: "WSW",
            pressure_mb: 1009.0,
            pressure_in: 29.8,
            precip_mm: 0.0,
            precip_in: 0.0,
            humidity: 83,
            cloud: 6,
            feelslike_c: 0.6,
            feelslike_f: 33.1,
            windchill_c: 0.6,
            windchill_f: 33.1,
            heatindex_c: 5.3,
            heatindex_f: 41.5,
            dewpoint_c: 2.7,
            dewpoint_f: 36.9,
            will_it_rain: 0,
            chance_of_rain: 0,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 10.0,
            vis_miles: 6.0,
            gust_mph: 30.9,
            gust_kph: 49.7,
            uv: 3.0,
          },
          {
            time_epoch: 1681326000,
            time: "2023-04-12 21:00",
            temp_c: 4.9,
            temp_f: 40.8,
            is_day: 0,
            condition: {
              text: "Clear",
              icon: "//cdn.weatherapi.com/weather/64x64/night/113.png",
              code: 1000,
            },
            wind_mph: 17.0,
            wind_kph: 27.4,
            wind_degree: 251,
            wind_dir: "WSW",
            pressure_mb: 1010.0,
            pressure_in: 29.82,
            precip_mm: 0.0,
            precip_in: 0.0,
            humidity: 85,
            cloud: 6,
            feelslike_c: 0.2,
            feelslike_f: 32.4,
            windchill_c: 0.2,
            windchill_f: 32.4,
            heatindex_c: 4.9,
            heatindex_f: 40.8,
            dewpoint_c: 2.5,
            dewpoint_f: 36.5,
            will_it_rain: 0,
            chance_of_rain: 0,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 10.0,
            vis_miles: 6.0,
            gust_mph: 29.3,
            gust_kph: 47.2,
            uv: 1.0,
          },
          {
            time_epoch: 1681329600,
            time: "2023-04-12 22:00",
            temp_c: 4.7,
            temp_f: 40.5,
            is_day: 0,
            condition: {
              text: "Partly cloudy",
              icon: "//cdn.weatherapi.com/weather/64x64/night/116.png",
              code: 1003,
            },
            wind_mph: 17.7,
            wind_kph: 28.4,
            wind_degree: 246,
            wind_dir: "WSW",
            pressure_mb: 1010.0,
            pressure_in: 29.83,
            precip_mm: 0.0,
            precip_in: 0.0,
            humidity: 83,
            cloud: 32,
            feelslike_c: -0.2,
            feelslike_f: 31.6,
            windchill_c: -0.2,
            windchill_f: 31.6,
            heatindex_c: 4.7,
            heatindex_f: 40.5,
            dewpoint_c: 2.1,
            dewpoint_f: 35.8,
            will_it_rain: 0,
            chance_of_rain: 0,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 10.0,
            vis_miles: 6.0,
            gust_mph: 30.4,
            gust_kph: 49.0,
            uv: 1.0,
          },
          {
            time_epoch: 1681333200,
            time: "2023-04-12 23:00",
            temp_c: 5.0,
            temp_f: 41.0,
            is_day: 0,
            condition: {
              text: "Partly cloudy",
              icon: "//cdn.weatherapi.com/weather/64x64/night/116.png",
              code: 1003,
            },
            wind_mph: 18.3,
            wind_kph: 29.5,
            wind_degree: 257,
            wind_dir: "WSW",
            pressure_mb: 1011.0,
            pressure_in: 29.84,
            precip_mm: 0.0,
            precip_in: 0.0,
            humidity: 79,
            cloud: 58,
            feelslike_c: 0.1,
            feelslike_f: 32.2,
            windchill_c: 0.1,
            windchill_f: 32.2,
            heatindex_c: 5.0,
            heatindex_f: 41.0,
            dewpoint_c: 1.7,
            dewpoint_f: 35.1,
            will_it_rain: 0,
            chance_of_rain: 0,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 10.0,
            vis_miles: 6.0,
            gust_mph: 30.6,
            gust_kph: 49.3,
            uv: 1.0,
          },
        ],
      },
      {
        date: "2023-04-13",
        date_epoch: 1681344000,
        day: {
          maxtemp_c: 11.4,
          maxtemp_f: 52.5,
          mintemp_c: 1.8,
          mintemp_f: 35.2,
          avgtemp_c: 7.1,
          avgtemp_f: 44.8,
          maxwind_mph: 17.7,
          maxwind_kph: 28.4,
          totalprecip_mm: 3.7,
          totalprecip_in: 0.15,
          totalsnow_cm: 0.0,
          avgvis_km: 9.9,
          avgvis_miles: 6.0,
          avghumidity: 78.0,
          daily_will_it_rain: 1,
          daily_chance_of_rain: 79,
          daily_will_it_snow: 0,
          daily_chance_of_snow: 0,
          condition: {
            text: "Patchy rain possible",
            icon: "//cdn.weatherapi.com/weather/64x64/day/176.png",
            code: 1063,
          },
          uv: 2.0,
        },
        astro: {
          sunrise: "07:18 AM",
          sunset: "08:50 PM",
          moonrise: "04:25 AM",
          moonset: "12:08 PM",
          moon_phase: "Last Quarter",
          moon_illumination: "54",
          is_moon_up: 0,
          is_sun_up: 0,
        },
        hour: [
          {
            time_epoch: 1681336800,
            time: "2023-04-13 00:00",
            temp_c: 5.6,
            temp_f: 42.1,
            is_day: 0,
            condition: {
              text: "Overcast",
              icon: "//cdn.weatherapi.com/weather/64x64/night/122.png",
              code: 1009,
            },
            wind_mph: 17.7,
            wind_kph: 28.4,
            wind_degree: 263,
            wind_dir: "W",
            pressure_mb: 1011.0,
            pressure_in: 29.84,
            precip_mm: 0.0,
            precip_in: 0.0,
            humidity: 73,
            cloud: 94,
            feelslike_c: 1.0,
            feelslike_f: 33.8,
            windchill_c: 1.0,
            windchill_f: 33.8,
            heatindex_c: 5.6,
            heatindex_f: 42.1,
            dewpoint_c: 1.2,
            dewpoint_f: 34.2,
            will_it_rain: 0,
            chance_of_rain: 0,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 10.0,
            vis_miles: 6.0,
            gust_mph: 28.4,
            gust_kph: 45.7,
            uv: 1.0,
          },
          {
            time_epoch: 1681340400,
            time: "2023-04-13 01:00",
            temp_c: 5.5,
            temp_f: 41.9,
            is_day: 0,
            condition: {
              text: "Cloudy",
              icon: "//cdn.weatherapi.com/weather/64x64/night/119.png",
              code: 1006,
            },
            wind_mph: 15.9,
            wind_kph: 25.6,
            wind_degree: 266,
            wind_dir: "W",
            pressure_mb: 1011.0,
            pressure_in: 29.85,
            precip_mm: 0.0,
            precip_in: 0.0,
            humidity: 71,
            cloud: 79,
            feelslike_c: 1.1,
            feelslike_f: 34.0,
            windchill_c: 1.1,
            windchill_f: 34.0,
            heatindex_c: 5.5,
            heatindex_f: 41.9,
            dewpoint_c: 0.7,
            dewpoint_f: 33.3,
            will_it_rain: 0,
            chance_of_rain: 0,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 10.0,
            vis_miles: 6.0,
            gust_mph: 26.8,
            gust_kph: 43.2,
            uv: 1.0,
          },
          {
            time_epoch: 1681344000,
            time: "2023-04-13 02:00",
            temp_c: 5.5,
            temp_f: 41.9,
            is_day: 0,
            condition: {
              text: "Partly cloudy",
              icon: "//cdn.weatherapi.com/weather/64x64/night/116.png",
              code: 1003,
            },
            wind_mph: 15.2,
            wind_kph: 24.5,
            wind_degree: 264,
            wind_dir: "W",
            pressure_mb: 1011.0,
            pressure_in: 29.85,
            precip_mm: 0.0,
            precip_in: 0.0,
            humidity: 70,
            cloud: 44,
            feelslike_c: 1.2,
            feelslike_f: 34.2,
            windchill_c: 1.2,
            windchill_f: 34.2,
            heatindex_c: 5.5,
            heatindex_f: 41.9,
            dewpoint_c: 0.5,
            dewpoint_f: 32.9,
            will_it_rain: 0,
            chance_of_rain: 0,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 10.0,
            vis_miles: 6.0,
            gust_mph: 25.3,
            gust_kph: 40.7,
            uv: 1.0,
          },
          {
            time_epoch: 1681347600,
            time: "2023-04-13 03:00",
            temp_c: 5.0,
            temp_f: 41.0,
            is_day: 0,
            condition: {
              text: "Overcast",
              icon: "//cdn.weatherapi.com/weather/64x64/night/122.png",
              code: 1009,
            },
            wind_mph: 14.8,
            wind_kph: 23.8,
            wind_degree: 263,
            wind_dir: "W",
            pressure_mb: 1011.0,
            pressure_in: 29.85,
            precip_mm: 0.0,
            precip_in: 0.0,
            humidity: 72,
            cloud: 97,
            feelslike_c: 0.6,
            feelslike_f: 33.1,
            windchill_c: 0.6,
            windchill_f: 33.1,
            heatindex_c: 5.0,
            heatindex_f: 41.0,
            dewpoint_c: 0.4,
            dewpoint_f: 32.7,
            will_it_rain: 0,
            chance_of_rain: 0,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 10.0,
            vis_miles: 6.0,
            gust_mph: 25.3,
            gust_kph: 40.7,
            uv: 1.0,
          },
          {
            time_epoch: 1681351200,
            time: "2023-04-13 04:00",
            temp_c: 4.4,
            temp_f: 39.9,
            is_day: 0,
            condition: {
              text: "Cloudy",
              icon: "//cdn.weatherapi.com/weather/64x64/night/119.png",
              code: 1006,
            },
            wind_mph: 13.6,
            wind_kph: 22.0,
            wind_degree: 266,
            wind_dir: "W",
            pressure_mb: 1011.0,
            pressure_in: 29.86,
            precip_mm: 0.0,
            precip_in: 0.0,
            humidity: 75,
            cloud: 65,
            feelslike_c: 0.1,
            feelslike_f: 32.2,
            windchill_c: 0.1,
            windchill_f: 32.2,
            heatindex_c: 4.4,
            heatindex_f: 39.9,
            dewpoint_c: 0.4,
            dewpoint_f: 32.7,
            will_it_rain: 0,
            chance_of_rain: 0,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 10.0,
            vis_miles: 6.0,
            gust_mph: 24.2,
            gust_kph: 38.9,
            uv: 1.0,
          },
          {
            time_epoch: 1681354800,
            time: "2023-04-13 05:00",
            temp_c: 3.4,
            temp_f: 38.1,
            is_day: 0,
            condition: {
              text: "Partly cloudy",
              icon: "//cdn.weatherapi.com/weather/64x64/night/116.png",
              code: 1003,
            },
            wind_mph: 11.6,
            wind_kph: 18.7,
            wind_degree: 262,
            wind_dir: "W",
            pressure_mb: 1011.0,
            pressure_in: 29.87,
            precip_mm: 0.0,
            precip_in: 0.0,
            humidity: 80,
            cloud: 27,
            feelslike_c: -0.8,
            feelslike_f: 30.6,
            windchill_c: -0.8,
            windchill_f: 30.6,
            heatindex_c: 3.4,
            heatindex_f: 38.1,
            dewpoint_c: 0.4,
            dewpoint_f: 32.7,
            will_it_rain: 0,
            chance_of_rain: 0,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 10.0,
            vis_miles: 6.0,
            gust_mph: 21.9,
            gust_kph: 35.3,
            uv: 1.0,
          },
          {
            time_epoch: 1681358400,
            time: "2023-04-13 06:00",
            temp_c: 2.1,
            temp_f: 35.8,
            is_day: 0,
            condition: {
              text: "Clear",
              icon: "//cdn.weatherapi.com/weather/64x64/night/113.png",
              code: 1000,
            },
            wind_mph: 9.6,
            wind_kph: 15.5,
            wind_degree: 255,
            wind_dir: "WSW",
            pressure_mb: 1012.0,
            pressure_in: 29.87,
            precip_mm: 0.0,
            precip_in: 0.0,
            humidity: 89,
            cloud: 10,
            feelslike_c: -1.9,
            feelslike_f: 28.6,
            windchill_c: -1.9,
            windchill_f: 28.6,
            heatindex_c: 2.1,
            heatindex_f: 35.8,
            dewpoint_c: 0.5,
            dewpoint_f: 32.9,
            will_it_rain: 0,
            chance_of_rain: 0,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 10.0,
            vis_miles: 6.0,
            gust_mph: 20.1,
            gust_kph: 32.4,
            uv: 1.0,
          },
          {
            time_epoch: 1681362000,
            time: "2023-04-13 07:00",
            temp_c: 1.8,
            temp_f: 35.2,
            is_day: 0,
            condition: {
              text: "Clear",
              icon: "//cdn.weatherapi.com/weather/64x64/night/113.png",
              code: 1000,
            },
            wind_mph: 8.5,
            wind_kph: 13.7,
            wind_degree: 252,
            wind_dir: "WSW",
            pressure_mb: 1012.0,
            pressure_in: 29.88,
            precip_mm: 0.0,
            precip_in: 0.0,
            humidity: 92,
            cloud: 7,
            feelslike_c: -2.0,
            feelslike_f: 28.4,
            windchill_c: -2.0,
            windchill_f: 28.4,
            heatindex_c: 1.8,
            heatindex_f: 35.2,
            dewpoint_c: 0.6,
            dewpoint_f: 33.1,
            will_it_rain: 0,
            chance_of_rain: 0,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 10.0,
            vis_miles: 6.0,
            gust_mph: 17.9,
            gust_kph: 28.8,
            uv: 1.0,
          },
          {
            time_epoch: 1681365600,
            time: "2023-04-13 08:00",
            temp_c: 4.9,
            temp_f: 40.8,
            is_day: 1,
            condition: {
              text: "Sunny",
              icon: "//cdn.weatherapi.com/weather/64x64/day/113.png",
              code: 1000,
            },
            wind_mph: 10.1,
            wind_kph: 16.2,
            wind_degree: 258,
            wind_dir: "WSW",
            pressure_mb: 1012.0,
            pressure_in: 29.89,
            precip_mm: 0.0,
            precip_in: 0.0,
            humidity: 83,
            cloud: 7,
            feelslike_c: 1.4,
            feelslike_f: 34.5,
            windchill_c: 1.4,
            windchill_f: 34.5,
            heatindex_c: 4.9,
            heatindex_f: 40.8,
            dewpoint_c: 2.2,
            dewpoint_f: 36.0,
            will_it_rain: 0,
            chance_of_rain: 0,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 10.0,
            vis_miles: 6.0,
            gust_mph: 15.0,
            gust_kph: 24.1,
            uv: 2.0,
          },
          {
            time_epoch: 1681369200,
            time: "2023-04-13 09:00",
            temp_c: 7.6,
            temp_f: 45.7,
            is_day: 1,
            condition: {
              text: "Sunny",
              icon: "//cdn.weatherapi.com/weather/64x64/day/113.png",
              code: 1000,
            },
            wind_mph: 11.6,
            wind_kph: 18.7,
            wind_degree: 263,
            wind_dir: "W",
            pressure_mb: 1012.0,
            pressure_in: 29.89,
            precip_mm: 0.0,
            precip_in: 0.0,
            humidity: 76,
            cloud: 13,
            feelslike_c: 4.5,
            feelslike_f: 40.1,
            windchill_c: 4.5,
            windchill_f: 40.1,
            heatindex_c: 7.6,
            heatindex_f: 45.7,
            dewpoint_c: 3.6,
            dewpoint_f: 38.5,
            will_it_rain: 0,
            chance_of_rain: 0,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 10.0,
            vis_miles: 6.0,
            gust_mph: 14.1,
            gust_kph: 22.7,
            uv: 3.0,
          },
          {
            time_epoch: 1681372800,
            time: "2023-04-13 10:00",
            temp_c: 9.3,
            temp_f: 48.7,
            is_day: 1,
            condition: {
              text: "Partly cloudy",
              icon: "//cdn.weatherapi.com/weather/64x64/day/116.png",
              code: 1003,
            },
            wind_mph: 12.8,
            wind_kph: 20.5,
            wind_degree: 262,
            wind_dir: "W",
            pressure_mb: 1012.0,
            pressure_in: 29.89,
            precip_mm: 0.0,
            precip_in: 0.0,
            humidity: 70,
            cloud: 42,
            feelslike_c: 6.4,
            feelslike_f: 43.5,
            windchill_c: 6.4,
            windchill_f: 43.5,
            heatindex_c: 9.3,
            heatindex_f: 48.7,
            dewpoint_c: 4.1,
            dewpoint_f: 39.4,
            will_it_rain: 0,
            chance_of_rain: 0,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 10.0,
            vis_miles: 6.0,
            gust_mph: 14.8,
            gust_kph: 23.8,
            uv: 3.0,
          },
          {
            time_epoch: 1681376400,
            time: "2023-04-13 11:00",
            temp_c: 10.4,
            temp_f: 50.7,
            is_day: 1,
            condition: {
              text: "Overcast",
              icon: "//cdn.weatherapi.com/weather/64x64/day/122.png",
              code: 1009,
            },
            wind_mph: 13.9,
            wind_kph: 22.3,
            wind_degree: 263,
            wind_dir: "W",
            pressure_mb: 1012.0,
            pressure_in: 29.89,
            precip_mm: 0.0,
            precip_in: 0.0,
            humidity: 67,
            cloud: 100,
            feelslike_c: 7.7,
            feelslike_f: 45.9,
            windchill_c: 7.7,
            windchill_f: 45.9,
            heatindex_c: 10.4,
            heatindex_f: 50.7,
            dewpoint_c: 4.5,
            dewpoint_f: 40.1,
            will_it_rain: 0,
            chance_of_rain: 0,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 10.0,
            vis_miles: 6.0,
            gust_mph: 15.9,
            gust_kph: 25.6,
            uv: 3.0,
          },
          {
            time_epoch: 1681380000,
            time: "2023-04-13 12:00",
            temp_c: 11.0,
            temp_f: 51.8,
            is_day: 1,
            condition: {
              text: "Patchy rain possible",
              icon: "//cdn.weatherapi.com/weather/64x64/day/176.png",
              code: 1063,
            },
            wind_mph: 13.0,
            wind_kph: 20.9,
            wind_degree: 260,
            wind_dir: "W",
            pressure_mb: 1012.0,
            pressure_in: 29.88,
            precip_mm: 0.1,
            precip_in: 0.0,
            humidity: 64,
            cloud: 83,
            feelslike_c: 8.6,
            feelslike_f: 47.5,
            windchill_c: 8.6,
            windchill_f: 47.5,
            heatindex_c: 11.0,
            heatindex_f: 51.8,
            dewpoint_c: 4.4,
            dewpoint_f: 39.9,
            will_it_rain: 1,
            chance_of_rain: 79,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 10.0,
            vis_miles: 6.0,
            gust_mph: 15.4,
            gust_kph: 24.8,
            uv: 3.0,
          },
          {
            time_epoch: 1681383600,
            time: "2023-04-13 13:00",
            temp_c: 11.4,
            temp_f: 52.5,
            is_day: 1,
            condition: {
              text: "Cloudy",
              icon: "//cdn.weatherapi.com/weather/64x64/day/119.png",
              code: 1006,
            },
            wind_mph: 12.8,
            wind_kph: 20.5,
            wind_degree: 259,
            wind_dir: "W",
            pressure_mb: 1011.0,
            pressure_in: 29.86,
            precip_mm: 0.0,
            precip_in: 0.0,
            humidity: 64,
            cloud: 85,
            feelslike_c: 9.1,
            feelslike_f: 48.4,
            windchill_c: 9.1,
            windchill_f: 48.4,
            heatindex_c: 11.4,
            heatindex_f: 52.5,
            dewpoint_c: 4.8,
            dewpoint_f: 40.6,
            will_it_rain: 0,
            chance_of_rain: 0,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 10.0,
            vis_miles: 6.0,
            gust_mph: 14.8,
            gust_kph: 23.8,
            uv: 3.0,
          },
          {
            time_epoch: 1681387200,
            time: "2023-04-13 14:00",
            temp_c: 11.0,
            temp_f: 51.8,
            is_day: 1,
            condition: {
              text: "Light rain shower",
              icon: "//cdn.weatherapi.com/weather/64x64/day/353.png",
              code: 1240,
            },
            wind_mph: 13.2,
            wind_kph: 21.2,
            wind_degree: 261,
            wind_dir: "W",
            pressure_mb: 1012.0,
            pressure_in: 29.87,
            precip_mm: 0.4,
            precip_in: 0.02,
            humidity: 68,
            cloud: 95,
            feelslike_c: 8.5,
            feelslike_f: 47.3,
            windchill_c: 8.5,
            windchill_f: 47.3,
            heatindex_c: 11.0,
            heatindex_f: 51.8,
            dewpoint_c: 5.3,
            dewpoint_f: 41.5,
            will_it_rain: 1,
            chance_of_rain: 77,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 10.0,
            vis_miles: 6.0,
            gust_mph: 15.9,
            gust_kph: 25.6,
            uv: 3.0,
          },
          {
            time_epoch: 1681390800,
            time: "2023-04-13 15:00",
            temp_c: 10.8,
            temp_f: 51.4,
            is_day: 1,
            condition: {
              text: "Cloudy",
              icon: "//cdn.weatherapi.com/weather/64x64/day/119.png",
              code: 1006,
            },
            wind_mph: 11.9,
            wind_kph: 19.1,
            wind_degree: 267,
            wind_dir: "W",
            pressure_mb: 1012.0,
            pressure_in: 29.87,
            precip_mm: 0.0,
            precip_in: 0.0,
            humidity: 74,
            cloud: 66,
            feelslike_c: 8.5,
            feelslike_f: 47.3,
            windchill_c: 8.5,
            windchill_f: 47.3,
            heatindex_c: 10.8,
            heatindex_f: 51.4,
            dewpoint_c: 6.3,
            dewpoint_f: 43.3,
            will_it_rain: 0,
            chance_of_rain: 0,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 10.0,
            vis_miles: 6.0,
            gust_mph: 13.9,
            gust_kph: 22.3,
            uv: 3.0,
          },
          {
            time_epoch: 1681394400,
            time: "2023-04-13 16:00",
            temp_c: 11.0,
            temp_f: 51.8,
            is_day: 1,
            condition: {
              text: "Light rain shower",
              icon: "//cdn.weatherapi.com/weather/64x64/day/353.png",
              code: 1240,
            },
            wind_mph: 12.3,
            wind_kph: 19.8,
            wind_degree: 276,
            wind_dir: "W",
            pressure_mb: 1012.0,
            pressure_in: 29.87,
            precip_mm: 1.5,
            precip_in: 0.06,
            humidity: 75,
            cloud: 50,
            feelslike_c: 8.7,
            feelslike_f: 47.7,
            windchill_c: 8.7,
            windchill_f: 47.7,
            heatindex_c: 11.0,
            heatindex_f: 51.8,
            dewpoint_c: 6.7,
            dewpoint_f: 44.1,
            will_it_rain: 1,
            chance_of_rain: 76,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 10.0,
            vis_miles: 6.0,
            gust_mph: 17.2,
            gust_kph: 27.7,
            uv: 3.0,
          },
          {
            time_epoch: 1681398000,
            time: "2023-04-13 17:00",
            temp_c: 10.7,
            temp_f: 51.3,
            is_day: 1,
            condition: {
              text: "Patchy rain possible",
              icon: "//cdn.weatherapi.com/weather/64x64/day/176.png",
              code: 1063,
            },
            wind_mph: 11.9,
            wind_kph: 19.1,
            wind_degree: 286,
            wind_dir: "WNW",
            pressure_mb: 1012.0,
            pressure_in: 29.88,
            precip_mm: 0.1,
            precip_in: 0.0,
            humidity: 79,
            cloud: 53,
            feelslike_c: 8.3,
            feelslike_f: 46.9,
            windchill_c: 8.3,
            windchill_f: 46.9,
            heatindex_c: 10.7,
            heatindex_f: 51.3,
            dewpoint_c: 7.2,
            dewpoint_f: 45.0,
            will_it_rain: 1,
            chance_of_rain: 73,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 10.0,
            vis_miles: 6.0,
            gust_mph: 14.1,
            gust_kph: 22.7,
            uv: 3.0,
          },
          {
            time_epoch: 1681401600,
            time: "2023-04-13 18:00",
            temp_c: 10.0,
            temp_f: 50.0,
            is_day: 1,
            condition: {
              text: "Patchy rain possible",
              icon: "//cdn.weatherapi.com/weather/64x64/day/176.png",
              code: 1063,
            },
            wind_mph: 10.1,
            wind_kph: 16.2,
            wind_degree: 294,
            wind_dir: "WNW",
            pressure_mb: 1012.0,
            pressure_in: 29.89,
            precip_mm: 0.5,
            precip_in: 0.02,
            humidity: 84,
            cloud: 79,
            feelslike_c: 7.8,
            feelslike_f: 46.0,
            windchill_c: 7.8,
            windchill_f: 46.0,
            heatindex_c: 10.0,
            heatindex_f: 50.0,
            dewpoint_c: 7.4,
            dewpoint_f: 45.3,
            will_it_rain: 1,
            chance_of_rain: 75,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 9.0,
            vis_miles: 5.0,
            gust_mph: 15.9,
            gust_kph: 25.6,
            uv: 3.0,
          },
          {
            time_epoch: 1681405200,
            time: "2023-04-13 19:00",
            temp_c: 8.4,
            temp_f: 47.1,
            is_day: 1,
            condition: {
              text: "Patchy rain possible",
              icon: "//cdn.weatherapi.com/weather/64x64/day/176.png",
              code: 1063,
            },
            wind_mph: 9.2,
            wind_kph: 14.8,
            wind_degree: 300,
            wind_dir: "WNW",
            pressure_mb: 1013.0,
            pressure_in: 29.91,
            precip_mm: 1.1,
            precip_in: 0.04,
            humidity: 87,
            cloud: 76,
            feelslike_c: 6.0,
            feelslike_f: 42.8,
            windchill_c: 6.0,
            windchill_f: 42.8,
            heatindex_c: 8.4,
            heatindex_f: 47.1,
            dewpoint_c: 6.4,
            dewpoint_f: 43.5,
            will_it_rain: 0,
            chance_of_rain: 61,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 9.0,
            vis_miles: 5.0,
            gust_mph: 13.9,
            gust_kph: 22.3,
            uv: 2.0,
          },
          {
            time_epoch: 1681408800,
            time: "2023-04-13 20:00",
            temp_c: 5.8,
            temp_f: 42.4,
            is_day: 1,
            condition: {
              text: "Overcast",
              icon: "//cdn.weatherapi.com/weather/64x64/day/122.png",
              code: 1009,
            },
            wind_mph: 6.0,
            wind_kph: 9.7,
            wind_degree: 293,
            wind_dir: "WNW",
            pressure_mb: 1014.0,
            pressure_in: 29.93,
            precip_mm: 0.0,
            precip_in: 0.0,
            humidity: 90,
            cloud: 95,
            feelslike_c: 3.7,
            feelslike_f: 38.7,
            windchill_c: 3.7,
            windchill_f: 38.7,
            heatindex_c: 5.8,
            heatindex_f: 42.4,
            dewpoint_c: 4.3,
            dewpoint_f: 39.7,
            will_it_rain: 0,
            chance_of_rain: 0,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 10.0,
            vis_miles: 6.0,
            gust_mph: 12.5,
            gust_kph: 20.2,
            uv: 2.0,
          },
          {
            time_epoch: 1681412400,
            time: "2023-04-13 21:00",
            temp_c: 5.5,
            temp_f: 41.9,
            is_day: 0,
            condition: {
              text: "Overcast",
              icon: "//cdn.weatherapi.com/weather/64x64/night/122.png",
              code: 1009,
            },
            wind_mph: 5.4,
            wind_kph: 8.6,
            wind_degree: 274,
            wind_dir: "W",
            pressure_mb: 1014.0,
            pressure_in: 29.94,
            precip_mm: 0.0,
            precip_in: 0.0,
            humidity: 91,
            cloud: 100,
            feelslike_c: 3.6,
            feelslike_f: 38.5,
            windchill_c: 3.6,
            windchill_f: 38.5,
            heatindex_c: 5.5,
            heatindex_f: 41.9,
            dewpoint_c: 4.1,
            dewpoint_f: 39.4,
            will_it_rain: 0,
            chance_of_rain: 0,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 10.0,
            vis_miles: 6.0,
            gust_mph: 11.0,
            gust_kph: 17.6,
            uv: 1.0,
          },
          {
            time_epoch: 1681416000,
            time: "2023-04-13 22:00",
            temp_c: 5.3,
            temp_f: 41.5,
            is_day: 0,
            condition: {
              text: "Overcast",
              icon: "//cdn.weatherapi.com/weather/64x64/night/122.png",
              code: 1009,
            },
            wind_mph: 5.1,
            wind_kph: 8.3,
            wind_degree: 254,
            wind_dir: "WSW",
            pressure_mb: 1014.0,
            pressure_in: 29.95,
            precip_mm: 0.0,
            precip_in: 0.0,
            humidity: 91,
            cloud: 100,
            feelslike_c: 3.4,
            feelslike_f: 38.1,
            windchill_c: 3.4,
            windchill_f: 38.1,
            heatindex_c: 5.3,
            heatindex_f: 41.5,
            dewpoint_c: 4.0,
            dewpoint_f: 39.2,
            will_it_rain: 0,
            chance_of_rain: 0,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 10.0,
            vis_miles: 6.0,
            gust_mph: 10.5,
            gust_kph: 16.9,
            uv: 1.0,
          },
          {
            time_epoch: 1681419600,
            time: "2023-04-13 23:00",
            temp_c: 4.8,
            temp_f: 40.6,
            is_day: 0,
            condition: {
              text: "Partly cloudy",
              icon: "//cdn.weatherapi.com/weather/64x64/night/116.png",
              code: 1003,
            },
            wind_mph: 6.0,
            wind_kph: 9.7,
            wind_degree: 234,
            wind_dir: "SW",
            pressure_mb: 1014.0,
            pressure_in: 29.94,
            precip_mm: 0.0,
            precip_in: 0.0,
            humidity: 92,
            cloud: 56,
            feelslike_c: 2.5,
            feelslike_f: 36.5,
            windchill_c: 2.5,
            windchill_f: 36.5,
            heatindex_c: 4.8,
            heatindex_f: 40.6,
            dewpoint_c: 3.6,
            dewpoint_f: 38.5,
            will_it_rain: 0,
            chance_of_rain: 0,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 10.0,
            vis_miles: 6.0,
            gust_mph: 12.8,
            gust_kph: 20.5,
            uv: 1.0,
          },
        ],
      },
      {
        date: "2023-04-14",
        date_epoch: 1681430400,
        day: {
          maxtemp_c: 13.6,
          maxtemp_f: 56.5,
          mintemp_c: 4.0,
          mintemp_f: 39.2,
          avgtemp_c: 9.3,
          avgtemp_f: 48.8,
          maxwind_mph: 15.9,
          maxwind_kph: 25.6,
          totalprecip_mm: 11.7,
          totalprecip_in: 0.46,
          totalsnow_cm: 0.0,
          avgvis_km: 8.5,
          avgvis_miles: 5.0,
          avghumidity: 93.0,
          daily_will_it_rain: 1,
          daily_chance_of_rain: 84,
          daily_will_it_snow: 0,
          daily_chance_of_snow: 0,
          condition: {
            text: "Moderate rain",
            icon: "//cdn.weatherapi.com/weather/64x64/day/302.png",
            code: 1189,
          },
          uv: 2.0,
        },
        astro: {
          sunrise: "07:16 AM",
          sunset: "08:52 PM",
          moonrise: "05:07 AM",
          moonset: "01:30 PM",
          moon_phase: "Waning Crescent",
          moon_illumination: "43",
          is_moon_up: 0,
          is_sun_up: 0,
        },
        hour: [
          {
            time_epoch: 1681423200,
            time: "2023-04-14 00:00",
            temp_c: 4.0,
            temp_f: 39.2,
            is_day: 0,
            condition: {
              text: "Cloudy",
              icon: "//cdn.weatherapi.com/weather/64x64/night/119.png",
              code: 1006,
            },
            wind_mph: 6.3,
            wind_kph: 10.1,
            wind_degree: 220,
            wind_dir: "SW",
            pressure_mb: 1014.0,
            pressure_in: 29.93,
            precip_mm: 0.0,
            precip_in: 0.0,
            humidity: 94,
            cloud: 78,
            feelslike_c: 1.4,
            feelslike_f: 34.5,
            windchill_c: 1.4,
            windchill_f: 34.5,
            heatindex_c: 4.0,
            heatindex_f: 39.2,
            dewpoint_c: 3.1,
            dewpoint_f: 37.6,
            will_it_rain: 0,
            chance_of_rain: 0,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 10.0,
            vis_miles: 6.0,
            gust_mph: 13.2,
            gust_kph: 21.2,
            uv: 1.0,
          },
          {
            time_epoch: 1681426800,
            time: "2023-04-14 01:00",
            temp_c: 4.0,
            temp_f: 39.2,
            is_day: 0,
            condition: {
              text: "Mist",
              icon: "//cdn.weatherapi.com/weather/64x64/night/143.png",
              code: 1030,
            },
            wind_mph: 6.7,
            wind_kph: 10.8,
            wind_degree: 208,
            wind_dir: "SSW",
            pressure_mb: 1013.0,
            pressure_in: 29.92,
            precip_mm: 0.0,
            precip_in: 0.0,
            humidity: 95,
            cloud: 60,
            feelslike_c: 1.3,
            feelslike_f: 34.3,
            windchill_c: 1.3,
            windchill_f: 34.3,
            heatindex_c: 4.0,
            heatindex_f: 39.2,
            dewpoint_c: 3.2,
            dewpoint_f: 37.8,
            will_it_rain: 0,
            chance_of_rain: 0,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 2.0,
            vis_miles: 1.0,
            gust_mph: 14.1,
            gust_kph: 22.7,
            uv: 1.0,
          },
          {
            time_epoch: 1681430400,
            time: "2023-04-14 02:00",
            temp_c: 4.3,
            temp_f: 39.7,
            is_day: 0,
            condition: {
              text: "Mist",
              icon: "//cdn.weatherapi.com/weather/64x64/night/143.png",
              code: 1030,
            },
            wind_mph: 7.2,
            wind_kph: 11.5,
            wind_degree: 192,
            wind_dir: "SSW",
            pressure_mb: 1012.0,
            pressure_in: 29.9,
            precip_mm: 0.0,
            precip_in: 0.0,
            humidity: 95,
            cloud: 67,
            feelslike_c: 1.5,
            feelslike_f: 34.7,
            windchill_c: 1.5,
            windchill_f: 34.7,
            heatindex_c: 4.3,
            heatindex_f: 39.7,
            dewpoint_c: 3.6,
            dewpoint_f: 38.5,
            will_it_rain: 0,
            chance_of_rain: 0,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 2.0,
            vis_miles: 1.0,
            gust_mph: 15.0,
            gust_kph: 24.1,
            uv: 1.0,
          },
          {
            time_epoch: 1681434000,
            time: "2023-04-14 03:00",
            temp_c: 4.8,
            temp_f: 40.6,
            is_day: 0,
            condition: {
              text: "Overcast",
              icon: "//cdn.weatherapi.com/weather/64x64/night/122.png",
              code: 1009,
            },
            wind_mph: 8.1,
            wind_kph: 13.0,
            wind_degree: 177,
            wind_dir: "S",
            pressure_mb: 1012.0,
            pressure_in: 29.87,
            precip_mm: 0.0,
            precip_in: 0.0,
            humidity: 96,
            cloud: 100,
            feelslike_c: 1.8,
            feelslike_f: 35.2,
            windchill_c: 1.8,
            windchill_f: 35.2,
            heatindex_c: 4.8,
            heatindex_f: 40.6,
            dewpoint_c: 4.2,
            dewpoint_f: 39.6,
            will_it_rain: 0,
            chance_of_rain: 0,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 10.0,
            vis_miles: 6.0,
            gust_mph: 15.4,
            gust_kph: 24.8,
            uv: 1.0,
          },
          {
            time_epoch: 1681437600,
            time: "2023-04-14 04:00",
            temp_c: 5.7,
            temp_f: 42.3,
            is_day: 0,
            condition: {
              text: "Light drizzle",
              icon: "//cdn.weatherapi.com/weather/64x64/night/266.png",
              code: 1153,
            },
            wind_mph: 9.8,
            wind_kph: 15.8,
            wind_degree: 170,
            wind_dir: "S",
            pressure_mb: 1011.0,
            pressure_in: 29.84,
            precip_mm: 0.2,
            precip_in: 0.01,
            humidity: 96,
            cloud: 100,
            feelslike_c: 2.5,
            feelslike_f: 36.5,
            windchill_c: 2.5,
            windchill_f: 36.5,
            heatindex_c: 5.7,
            heatindex_f: 42.3,
            dewpoint_c: 5.1,
            dewpoint_f: 41.2,
            will_it_rain: 1,
            chance_of_rain: 84,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 2.0,
            vis_miles: 1.0,
            gust_mph: 17.0,
            gust_kph: 27.4,
            uv: 1.0,
          },
          {
            time_epoch: 1681441200,
            time: "2023-04-14 05:00",
            temp_c: 6.5,
            temp_f: 43.7,
            is_day: 0,
            condition: {
              text: "Patchy rain possible",
              icon: "//cdn.weatherapi.com/weather/64x64/night/176.png",
              code: 1063,
            },
            wind_mph: 12.3,
            wind_kph: 19.8,
            wind_degree: 168,
            wind_dir: "SSE",
            pressure_mb: 1010.0,
            pressure_in: 29.81,
            precip_mm: 0.1,
            precip_in: 0.0,
            humidity: 97,
            cloud: 100,
            feelslike_c: 3.0,
            feelslike_f: 37.4,
            windchill_c: 3.0,
            windchill_f: 37.4,
            heatindex_c: 6.5,
            heatindex_f: 43.7,
            dewpoint_c: 6.1,
            dewpoint_f: 43.0,
            will_it_rain: 0,
            chance_of_rain: 67,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 10.0,
            vis_miles: 6.0,
            gust_mph: 18.8,
            gust_kph: 30.2,
            uv: 1.0,
          },
          {
            time_epoch: 1681444800,
            time: "2023-04-14 06:00",
            temp_c: 7.1,
            temp_f: 44.8,
            is_day: 0,
            condition: {
              text: "Light drizzle",
              icon: "//cdn.weatherapi.com/weather/64x64/night/266.png",
              code: 1153,
            },
            wind_mph: 14.5,
            wind_kph: 23.4,
            wind_degree: 166,
            wind_dir: "SSE",
            pressure_mb: 1008.0,
            pressure_in: 29.77,
            precip_mm: 0.6,
            precip_in: 0.02,
            humidity: 98,
            cloud: 100,
            feelslike_c: 3.4,
            feelslike_f: 38.1,
            windchill_c: 3.4,
            windchill_f: 38.1,
            heatindex_c: 7.1,
            heatindex_f: 44.8,
            dewpoint_c: 6.8,
            dewpoint_f: 44.2,
            will_it_rain: 1,
            chance_of_rain: 71,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 2.0,
            vis_miles: 1.0,
            gust_mph: 21.9,
            gust_kph: 35.3,
            uv: 1.0,
          },
          {
            time_epoch: 1681448400,
            time: "2023-04-14 07:00",
            temp_c: 8.0,
            temp_f: 46.4,
            is_day: 0,
            condition: {
              text: "Moderate rain",
              icon: "//cdn.weatherapi.com/weather/64x64/night/302.png",
              code: 1189,
            },
            wind_mph: 13.6,
            wind_kph: 22.0,
            wind_degree: 183,
            wind_dir: "S",
            pressure_mb: 1008.0,
            pressure_in: 29.77,
            precip_mm: 2.6,
            precip_in: 0.1,
            humidity: 98,
            cloud: 100,
            feelslike_c: 4.7,
            feelslike_f: 40.5,
            windchill_c: 4.7,
            windchill_f: 40.5,
            heatindex_c: 8.0,
            heatindex_f: 46.4,
            dewpoint_c: 7.8,
            dewpoint_f: 46.0,
            will_it_rain: 1,
            chance_of_rain: 71,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 7.0,
            vis_miles: 4.0,
            gust_mph: 20.8,
            gust_kph: 33.5,
            uv: 1.0,
          },
          {
            time_epoch: 1681452000,
            time: "2023-04-14 08:00",
            temp_c: 9.6,
            temp_f: 49.3,
            is_day: 1,
            condition: {
              text: "Patchy rain possible",
              icon: "//cdn.weatherapi.com/weather/64x64/day/176.png",
              code: 1063,
            },
            wind_mph: 12.3,
            wind_kph: 19.8,
            wind_degree: 204,
            wind_dir: "SSW",
            pressure_mb: 1007.0,
            pressure_in: 29.74,
            precip_mm: 0.1,
            precip_in: 0.0,
            humidity: 99,
            cloud: 100,
            feelslike_c: 6.9,
            feelslike_f: 44.4,
            windchill_c: 6.9,
            windchill_f: 44.4,
            heatindex_c: 9.6,
            heatindex_f: 49.3,
            dewpoint_c: 9.4,
            dewpoint_f: 48.9,
            will_it_rain: 1,
            chance_of_rain: 70,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 10.0,
            vis_miles: 6.0,
            gust_mph: 18.8,
            gust_kph: 30.2,
            uv: 2.0,
          },
          {
            time_epoch: 1681455600,
            time: "2023-04-14 09:00",
            temp_c: 10.9,
            temp_f: 51.6,
            is_day: 1,
            condition: {
              text: "Overcast",
              icon: "//cdn.weatherapi.com/weather/64x64/day/122.png",
              code: 1009,
            },
            wind_mph: 13.4,
            wind_kph: 21.6,
            wind_degree: 234,
            wind_dir: "SW",
            pressure_mb: 1007.0,
            pressure_in: 29.73,
            precip_mm: 0.0,
            precip_in: 0.0,
            humidity: 94,
            cloud: 99,
            feelslike_c: 8.4,
            feelslike_f: 47.1,
            windchill_c: 8.4,
            windchill_f: 47.1,
            heatindex_c: 10.9,
            heatindex_f: 51.6,
            dewpoint_c: 10.1,
            dewpoint_f: 50.2,
            will_it_rain: 0,
            chance_of_rain: 0,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 10.0,
            vis_miles: 6.0,
            gust_mph: 19.7,
            gust_kph: 31.7,
            uv: 3.0,
          },
          {
            time_epoch: 1681459200,
            time: "2023-04-14 10:00",
            temp_c: 12.4,
            temp_f: 54.3,
            is_day: 1,
            condition: {
              text: "Light rain shower",
              icon: "//cdn.weatherapi.com/weather/64x64/day/353.png",
              code: 1240,
            },
            wind_mph: 15.9,
            wind_kph: 25.6,
            wind_degree: 251,
            wind_dir: "WSW",
            pressure_mb: 1007.0,
            pressure_in: 29.72,
            precip_mm: 0.9,
            precip_in: 0.04,
            humidity: 89,
            cloud: 81,
            feelslike_c: 10.0,
            feelslike_f: 50.0,
            windchill_c: 10.0,
            windchill_f: 50.0,
            heatindex_c: 12.4,
            heatindex_f: 54.3,
            dewpoint_c: 10.7,
            dewpoint_f: 51.3,
            will_it_rain: 0,
            chance_of_rain: 70,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 10.0,
            vis_miles: 6.0,
            gust_mph: 20.6,
            gust_kph: 33.1,
            uv: 3.0,
          },
          {
            time_epoch: 1681462800,
            time: "2023-04-14 11:00",
            temp_c: 11.8,
            temp_f: 53.2,
            is_day: 1,
            condition: {
              text: "Overcast",
              icon: "//cdn.weatherapi.com/weather/64x64/day/122.png",
              code: 1009,
            },
            wind_mph: 15.7,
            wind_kph: 25.2,
            wind_degree: 251,
            wind_dir: "WSW",
            pressure_mb: 1007.0,
            pressure_in: 29.73,
            precip_mm: 0.0,
            precip_in: 0.0,
            humidity: 89,
            cloud: 100,
            feelslike_c: 9.2,
            feelslike_f: 48.6,
            windchill_c: 9.2,
            windchill_f: 48.6,
            heatindex_c: 11.8,
            heatindex_f: 53.2,
            dewpoint_c: 10.0,
            dewpoint_f: 50.0,
            will_it_rain: 0,
            chance_of_rain: 0,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 10.0,
            vis_miles: 6.0,
            gust_mph: 21.9,
            gust_kph: 35.3,
            uv: 3.0,
          },
          {
            time_epoch: 1681466400,
            time: "2023-04-14 12:00",
            temp_c: 12.0,
            temp_f: 53.6,
            is_day: 1,
            condition: {
              text: "Light rain shower",
              icon: "//cdn.weatherapi.com/weather/64x64/day/353.png",
              code: 1240,
            },
            wind_mph: 15.7,
            wind_kph: 25.2,
            wind_degree: 255,
            wind_dir: "WSW",
            pressure_mb: 1007.0,
            pressure_in: 29.73,
            precip_mm: 0.4,
            precip_in: 0.02,
            humidity: 89,
            cloud: 97,
            feelslike_c: 9.5,
            feelslike_f: 49.1,
            windchill_c: 9.5,
            windchill_f: 49.1,
            heatindex_c: 12.0,
            heatindex_f: 53.6,
            dewpoint_c: 10.3,
            dewpoint_f: 50.5,
            will_it_rain: 0,
            chance_of_rain: 69,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 10.0,
            vis_miles: 6.0,
            gust_mph: 22.8,
            gust_kph: 36.7,
            uv: 3.0,
          },
          {
            time_epoch: 1681470000,
            time: "2023-04-14 13:00",
            temp_c: 11.6,
            temp_f: 52.9,
            is_day: 1,
            condition: {
              text: "Light rain shower",
              icon: "//cdn.weatherapi.com/weather/64x64/day/353.png",
              code: 1240,
            },
            wind_mph: 14.5,
            wind_kph: 23.4,
            wind_degree: 250,
            wind_dir: "WSW",
            pressure_mb: 1007.0,
            pressure_in: 29.73,
            precip_mm: 0.6,
            precip_in: 0.02,
            humidity: 91,
            cloud: 100,
            feelslike_c: 9.1,
            feelslike_f: 48.4,
            windchill_c: 9.1,
            windchill_f: 48.4,
            heatindex_c: 11.6,
            heatindex_f: 52.9,
            dewpoint_c: 10.2,
            dewpoint_f: 50.4,
            will_it_rain: 0,
            chance_of_rain: 69,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 10.0,
            vis_miles: 6.0,
            gust_mph: 19.9,
            gust_kph: 32.0,
            uv: 3.0,
          },
          {
            time_epoch: 1681473600,
            time: "2023-04-14 14:00",
            temp_c: 11.3,
            temp_f: 52.3,
            is_day: 1,
            condition: {
              text: "Light rain",
              icon: "//cdn.weatherapi.com/weather/64x64/day/296.png",
              code: 1183,
            },
            wind_mph: 14.1,
            wind_kph: 22.7,
            wind_degree: 252,
            wind_dir: "WSW",
            pressure_mb: 1007.0,
            pressure_in: 29.74,
            precip_mm: 1.1,
            precip_in: 0.04,
            humidity: 95,
            cloud: 100,
            feelslike_c: 8.8,
            feelslike_f: 47.8,
            windchill_c: 8.8,
            windchill_f: 47.8,
            heatindex_c: 11.3,
            heatindex_f: 52.3,
            dewpoint_c: 10.5,
            dewpoint_f: 50.9,
            will_it_rain: 0,
            chance_of_rain: 68,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 9.0,
            vis_miles: 5.0,
            gust_mph: 18.8,
            gust_kph: 30.2,
            uv: 3.0,
          },
          {
            time_epoch: 1681477200,
            time: "2023-04-14 15:00",
            temp_c: 11.9,
            temp_f: 53.4,
            is_day: 1,
            condition: {
              text: "Light rain shower",
              icon: "//cdn.weatherapi.com/weather/64x64/day/353.png",
              code: 1240,
            },
            wind_mph: 14.1,
            wind_kph: 22.7,
            wind_degree: 287,
            wind_dir: "WNW",
            pressure_mb: 1007.0,
            pressure_in: 29.75,
            precip_mm: 0.5,
            precip_in: 0.02,
            humidity: 90,
            cloud: 71,
            feelslike_c: 9.6,
            feelslike_f: 49.3,
            windchill_c: 9.6,
            windchill_f: 49.3,
            heatindex_c: 11.9,
            heatindex_f: 53.4,
            dewpoint_c: 10.3,
            dewpoint_f: 50.5,
            will_it_rain: 0,
            chance_of_rain: 68,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 10.0,
            vis_miles: 6.0,
            gust_mph: 19.9,
            gust_kph: 32.0,
            uv: 3.0,
          },
          {
            time_epoch: 1681480800,
            time: "2023-04-14 16:00",
            temp_c: 13.6,
            temp_f: 56.5,
            is_day: 1,
            condition: {
              text: "Light rain shower",
              icon: "//cdn.weatherapi.com/weather/64x64/day/353.png",
              code: 1240,
            },
            wind_mph: 15.2,
            wind_kph: 24.5,
            wind_degree: 297,
            wind_dir: "WNW",
            pressure_mb: 1008.0,
            pressure_in: 29.76,
            precip_mm: 2.3,
            precip_in: 0.09,
            humidity: 85,
            cloud: 80,
            feelslike_c: 11.6,
            feelslike_f: 52.9,
            windchill_c: 11.6,
            windchill_f: 52.9,
            heatindex_c: 13.6,
            heatindex_f: 56.5,
            dewpoint_c: 11.2,
            dewpoint_f: 52.2,
            will_it_rain: 0,
            chance_of_rain: 68,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 10.0,
            vis_miles: 6.0,
            gust_mph: 20.8,
            gust_kph: 33.5,
            uv: 3.0,
          },
          {
            time_epoch: 1681484400,
            time: "2023-04-14 17:00",
            temp_c: 13.6,
            temp_f: 56.5,
            is_day: 1,
            condition: {
              text: "Patchy rain possible",
              icon: "//cdn.weatherapi.com/weather/64x64/day/176.png",
              code: 1063,
            },
            wind_mph: 14.5,
            wind_kph: 23.4,
            wind_degree: 308,
            wind_dir: "NW",
            pressure_mb: 1009.0,
            pressure_in: 29.79,
            precip_mm: 0.3,
            precip_in: 0.01,
            humidity: 88,
            cloud: 79,
            feelslike_c: 11.7,
            feelslike_f: 53.1,
            windchill_c: 11.7,
            windchill_f: 53.1,
            heatindex_c: 13.6,
            heatindex_f: 56.5,
            dewpoint_c: 11.7,
            dewpoint_f: 53.1,
            will_it_rain: 0,
            chance_of_rain: 67,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 9.0,
            vis_miles: 5.0,
            gust_mph: 18.6,
            gust_kph: 29.9,
            uv: 3.0,
          },
          {
            time_epoch: 1681488000,
            time: "2023-04-14 18:00",
            temp_c: 12.8,
            temp_f: 55.0,
            is_day: 1,
            condition: {
              text: "Light rain shower",
              icon: "//cdn.weatherapi.com/weather/64x64/day/353.png",
              code: 1240,
            },
            wind_mph: 13.6,
            wind_kph: 22.0,
            wind_degree: 311,
            wind_dir: "NW",
            pressure_mb: 1010.0,
            pressure_in: 29.82,
            precip_mm: 0.6,
            precip_in: 0.02,
            humidity: 90,
            cloud: 53,
            feelslike_c: 10.8,
            feelslike_f: 51.4,
            windchill_c: 10.8,
            windchill_f: 51.4,
            heatindex_c: 12.8,
            heatindex_f: 55.0,
            dewpoint_c: 11.2,
            dewpoint_f: 52.2,
            will_it_rain: 0,
            chance_of_rain: 67,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 10.0,
            vis_miles: 6.0,
            gust_mph: 19.9,
            gust_kph: 32.0,
            uv: 3.0,
          },
          {
            time_epoch: 1681491600,
            time: "2023-04-14 19:00",
            temp_c: 11.5,
            temp_f: 52.7,
            is_day: 1,
            condition: {
              text: "Light rain shower",
              icon: "//cdn.weatherapi.com/weather/64x64/day/353.png",
              code: 1240,
            },
            wind_mph: 12.5,
            wind_kph: 20.2,
            wind_degree: 311,
            wind_dir: "NW",
            pressure_mb: 1011.0,
            pressure_in: 29.85,
            precip_mm: 1.4,
            precip_in: 0.06,
            humidity: 92,
            cloud: 70,
            feelslike_c: 9.2,
            feelslike_f: 48.6,
            windchill_c: 9.2,
            windchill_f: 48.6,
            heatindex_c: 11.5,
            heatindex_f: 52.7,
            dewpoint_c: 10.2,
            dewpoint_f: 50.4,
            will_it_rain: 1,
            chance_of_rain: 73,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 10.0,
            vis_miles: 6.0,
            gust_mph: 17.4,
            gust_kph: 28.1,
            uv: 3.0,
          },
          {
            time_epoch: 1681495200,
            time: "2023-04-14 20:00",
            temp_c: 9.5,
            temp_f: 49.1,
            is_day: 1,
            condition: {
              text: "Cloudy",
              icon: "//cdn.weatherapi.com/weather/64x64/day/119.png",
              code: 1006,
            },
            wind_mph: 10.7,
            wind_kph: 17.3,
            wind_degree: 306,
            wind_dir: "NW",
            pressure_mb: 1012.0,
            pressure_in: 29.89,
            precip_mm: 0.0,
            precip_in: 0.0,
            humidity: 94,
            cloud: 84,
            feelslike_c: 7.0,
            feelslike_f: 44.6,
            windchill_c: 7.0,
            windchill_f: 44.6,
            heatindex_c: 9.5,
            heatindex_f: 49.1,
            dewpoint_c: 8.6,
            dewpoint_f: 47.5,
            will_it_rain: 0,
            chance_of_rain: 0,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 10.0,
            vis_miles: 6.0,
            gust_mph: 18.3,
            gust_kph: 29.5,
            uv: 2.0,
          },
          {
            time_epoch: 1681498800,
            time: "2023-04-14 21:00",
            temp_c: 9.0,
            temp_f: 48.2,
            is_day: 0,
            condition: {
              text: "Cloudy",
              icon: "//cdn.weatherapi.com/weather/64x64/night/119.png",
              code: 1006,
            },
            wind_mph: 10.5,
            wind_kph: 16.9,
            wind_degree: 306,
            wind_dir: "NW",
            pressure_mb: 1014.0,
            pressure_in: 29.94,
            precip_mm: 0.0,
            precip_in: 0.0,
            humidity: 94,
            cloud: 84,
            feelslike_c: 6.5,
            feelslike_f: 43.7,
            windchill_c: 6.5,
            windchill_f: 43.7,
            heatindex_c: 9.0,
            heatindex_f: 48.2,
            dewpoint_c: 8.1,
            dewpoint_f: 46.6,
            will_it_rain: 0,
            chance_of_rain: 0,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 10.0,
            vis_miles: 6.0,
            gust_mph: 18.1,
            gust_kph: 29.2,
            uv: 1.0,
          },
          {
            time_epoch: 1681502400,
            time: "2023-04-14 22:00",
            temp_c: 8.7,
            temp_f: 47.7,
            is_day: 0,
            condition: {
              text: "Overcast",
              icon: "//cdn.weatherapi.com/weather/64x64/night/122.png",
              code: 1009,
            },
            wind_mph: 8.1,
            wind_kph: 13.0,
            wind_degree: 306,
            wind_dir: "NW",
            pressure_mb: 1015.0,
            pressure_in: 29.96,
            precip_mm: 0.0,
            precip_in: 0.0,
            humidity: 96,
            cloud: 91,
            feelslike_c: 6.6,
            feelslike_f: 43.9,
            windchill_c: 6.6,
            windchill_f: 43.9,
            heatindex_c: 8.7,
            heatindex_f: 47.7,
            dewpoint_c: 8.1,
            dewpoint_f: 46.6,
            will_it_rain: 0,
            chance_of_rain: 0,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 10.0,
            vis_miles: 6.0,
            gust_mph: 13.9,
            gust_kph: 22.3,
            uv: 1.0,
          },
          {
            time_epoch: 1681506000,
            time: "2023-04-14 23:00",
            temp_c: 8.8,
            temp_f: 47.8,
            is_day: 0,
            condition: {
              text: "Overcast",
              icon: "//cdn.weatherapi.com/weather/64x64/night/122.png",
              code: 1009,
            },
            wind_mph: 8.1,
            wind_kph: 13.0,
            wind_degree: 294,
            wind_dir: "WNW",
            pressure_mb: 1015.0,
            pressure_in: 29.97,
            precip_mm: 0.0,
            precip_in: 0.0,
            humidity: 95,
            cloud: 100,
            feelslike_c: 6.7,
            feelslike_f: 44.1,
            windchill_c: 6.7,
            windchill_f: 44.1,
            heatindex_c: 8.8,
            heatindex_f: 47.8,
            dewpoint_c: 8.0,
            dewpoint_f: 46.4,
            will_it_rain: 0,
            chance_of_rain: 0,
            will_it_snow: 0,
            chance_of_snow: 0,
            vis_km: 10.0,
            vis_miles: 6.0,
            gust_mph: 13.6,
            gust_kph: 22.0,
            uv: 1.0,
          },
        ],
      },
    ],
  },
};

export const locationDto: Location[] = [
  {
    name: "Angeles",
    region: "Angeles",
    country: "Philippines",
    lat: 15.14,
    lon: 120.59,
    url: "angeles-angeles-philippines",
  },
  {
    name: "Angers",
    region: "Pays de la Loire",
    country: "France",
    lat: 47.47,
    lon: -0.55,
    url: "angers-pays-de-la-loire-france",
  },
  {
    name: "Angelholm",
    region: "Skane Lan",
    country: "Sweden",
    lat: 56.25,
    lon: 12.87,
    url: "angelholm-skane-lan-sweden",
  },
  {
    name: "Angel R. Cabadas",
    region: "Veracruz-Llave",
    country: "Mexico",
    lat: 18.6,
    lon: -95.45,
    url: "angel-r-cabadas-veracruz-llave-mexico",
  },
  {
    name: "Angel Albino Corzo (Guadalupe)",
    region: "Chiapas",
    country: "Mexico",
    lat: 17.13,
    lon: -93.28,
    url: "angel-albino-corzo-guadalupe-chiapas-mexico",
  },
];
